import { Flex, View, Label, SelectField } from '@aws-amplify/ui-react';
import React__default from 'react';
import { LivenessClassNames } from '../types/classNames.mjs';

const CameraSelector = (props) => {
    const { onSelect: onCameraChange, devices: selectableDevices, deviceId: selectedDeviceId, } = props;
    return (React__default.createElement(Flex, { className: LivenessClassNames.StartScreenCameraSelect },
        React__default.createElement(View, { className: LivenessClassNames.StartScreenCameraSelectContainer },
            React__default.createElement(Label, { htmlFor: "amplify-liveness-camera-select", className: `${LivenessClassNames.StartScreenCameraSelect}__label` }, "Camera:"),
            React__default.createElement(SelectField, { id: "amplify-liveness-camera-select", testId: "amplify-liveness-camera-select", label: "Camera", labelHidden: true, value: selectedDeviceId, onChange: onCameraChange }, selectableDevices.map((device) => (React__default.createElement("option", { value: device.deviceId, key: device.deviceId }, device.label)))))));
};

export { CameraSelector };
