const DEFAULT_ATTEMPT_COUNT_TIMEOUT = 300000; // 5 minutes / 300000 ms
// Telemetry data is for internal use only and should not be depended upon or used by the customer
class TelemetryReporter {
    static getAttemptCountAndUpdateTimestamp() {
        const timeSinceLastAttempt = Date.now() - TelemetryReporter.timestamp;
        if (timeSinceLastAttempt > DEFAULT_ATTEMPT_COUNT_TIMEOUT) {
            TelemetryReporter.attemptCount = 1;
        }
        else {
            TelemetryReporter.attemptCount += 1;
        }
        TelemetryReporter.timestamp = Date.now();
        return TelemetryReporter.attemptCount;
    }
}
TelemetryReporter.attemptCount = 0;
TelemetryReporter.timestamp = Date.now();
const createTelemetryReporterMiddleware = (attemptCount, preCheckViewEnabled) => (next) => async (args) => {
    args.request.query['attempt-count'] =
        attemptCount.toString();
    args.request.query['precheck-view-enabled'] =
        preCheckViewEnabled ? '1' : '0';
    const result = await next(args);
    return result;
};

export { TelemetryReporter, createTelemetryReporterMiddleware };
