import type { VideoStream, StreamResult, StreamResultType } from '../types';
export declare class StreamRecorder {
    #private;
    constructor(stream: MediaStream);
    getVideoStream(): VideoStream;
    setNewVideoStream(stream: MediaStream): void;
    dispatchStreamEvent<T extends StreamResultType>(event: T extends 'streamStop' ? Pick<StreamResult<T>, 'type'> : StreamResult<T>): void;
    getRecordingStartTimestamp(): number;
    getRecordingEndedTimestamp(): number;
    startRecording(): void;
    isRecording(): boolean;
    getChunksLength(): number;
    hasRecordingStarted(): boolean;
    stopRecording(): Promise<void>;
}
