import type { LivenessRequestStream } from '@aws-sdk/client-rekognitionstreaming';
import type { VideoStream } from '../types';
interface RequestStream extends AsyncGenerator<LivenessRequestStream> {
}
type GetRequestStream = () => RequestStream;
/**
 * Creates an async generator that reads over the provided stream and yielding stream results
 *
 * @param {VideoStream} stream target video stream
 * @returns {GetRequestStream} async request stream generator
 */
export declare function createRequestStreamGenerator(stream: VideoStream): {
    getRequestStream: GetRequestStream;
};
export {};
