import type { ClientSessionInformationEvent, VideoEvent } from '@aws-sdk/client-rekognitionstreaming';
import type { LivenessContext, ParsedSessionInformation } from '../../types';
import type { SequenceChangeParams } from '../ColorSequenceDisplay';
import type { StreamResult } from '../types';
interface TrackDimensions {
    trackHeight: number;
    trackWidth: number;
}
export declare const createVideoEvent: (result: Exclude<StreamResult, StreamResult<'sessionInfo'>>) => Promise<VideoEvent>;
export declare const getTrackDimensions: (stream: MediaStream) => TrackDimensions;
interface CreateSessionEndEventParams extends TrackDimensions {
    parsedSessionInformation: ParsedSessionInformation;
    challengeId: NonNullable<LivenessContext['challengeId']>;
    faceMatchAssociatedParams: NonNullable<LivenessContext['faceMatchAssociatedParams']>;
    ovalAssociatedParams: NonNullable<LivenessContext['ovalAssociatedParams']>;
    recordingEndedTimestamp: number;
}
export declare function createSessionEndEvent({ parsedSessionInformation, challengeId, faceMatchAssociatedParams, ovalAssociatedParams, recordingEndedTimestamp, trackHeight, trackWidth, }: CreateSessionEndEventParams): ClientSessionInformationEvent;
interface CreateSessionStartEventParams extends TrackDimensions {
    parsedSessionInformation: ParsedSessionInformation;
    challengeId: NonNullable<LivenessContext['challengeId']>;
    ovalAssociatedParams: NonNullable<LivenessContext['ovalAssociatedParams']>;
    recordingStartedTimestamp: number;
}
export declare function createSessionStartEvent({ parsedSessionInformation, challengeId, ovalAssociatedParams, recordingStartedTimestamp, trackHeight, trackWidth, }: CreateSessionStartEventParams): ClientSessionInformationEvent;
interface CreateColorDisplayEventParams extends SequenceChangeParams {
    challengeId: string;
}
export declare function createColorDisplayEvent({ challengeId, sequenceStartTime, sequenceIndex, sequenceColor, prevSequenceColor, }: CreateColorDisplayEventParams): ClientSessionInformationEvent;
export {};
