import type { LivenessRequestStream, LivenessResponseStream, StartFaceLivenessSessionCommandInput } from '@aws-sdk/client-rekognitionstreaming';
import type { AwsCredentialProvider } from '../../types';
export interface RequestStream extends AsyncGenerator<LivenessRequestStream> {
}
export interface ResponseStream extends AsyncIterable<LivenessResponseStream> {
}
export interface CreateClientConfig {
    credentialsProvider: AwsCredentialProvider | undefined;
    endpointOverride: string | undefined;
    region: string;
    attemptCount: number;
    preCheckViewEnabled: boolean;
    systemClockOffset?: number;
}
interface GetResponseStreamInput {
    requestStream: RequestStream;
    sessionId: StartFaceLivenessSessionCommandInput['SessionId'];
    videoHeight: StartFaceLivenessSessionCommandInput['VideoHeight'];
    videoWidth: StartFaceLivenessSessionCommandInput['VideoWidth'];
}
type GetReponseStream = (input: GetResponseStreamInput) => Promise<ResponseStream>;
/**
 * Initializes an instance of the Rekognition streaming client, returns `getResponseStream`
 *
 * @async
 * @param clientConfig configuration fpr the client
 * @returns {Promise<{ getResponseStream: GetReponseStream }>}
 */
export declare function createStreamingClient(clientConfig: CreateClientConfig): Promise<{
    getResponseStream: GetReponseStream;
}>;
export {};
